Page MenuHomePhabricator

Using wikimedia.ee mail address as Google account
Closed, ResolvedPublic

Description

Dear representatives of Wikimedia ops team,

Hereby I contact you with an issue related to using wikimedia.ee mail addresses as a Gmail account (to ease access aand communication related to professional Drive documents=. Namely, we need to verify the account, but I do not think it is in our capacity, because you are handling the website.
I am copying information given by Google:
Choose the verification method that works best for you:

Add a record to your domain settings (Recommended)
Add a verification record to your domain settings. Follow step-by-step instructions to open the Setup Wizard, receive your unique record (either TXT or CNAME depending on the preferences of your domain host), and add it to your domain settings so that Google can verify your domain ownership.

Upload an HTML file to your website
Have a website with your domain? You or your webmaster can upload a unique HTML file (provided by the Setup Wizard) to your domain's web server. The file won’t affect your website. Try this method if you don't have access to your domain's DNS settings.

Add a <meta> tag to your website
Verify your domain by adding a unique tag (provided by the Setup Wizard) to your home page. This method requires editing a file on your domain's web server. The tag won’t affect your website. Try this if you have edit access to files on the server, but can't upload new files.

Currently we need verification for mail address marta@wikimedia.ee (Marta Peebo, new executive director of Wikimedia Eesti). I hope that you can support her in verifiaction of the account!

I thank you for your time and kind attention given to resolving this issue!

Best regards,
Kaarel Vaidla
Wikimedia Eesti

Event Timeline

Restricted Application added a project: Traffic. · View Herald TranscriptFeb 21 2017, 11:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy added a subscriber: Reedy.Feb 21 2017, 5:45 PM

https://github.com/wikimedia/operations-dns/blob/master/templates/wikimedia.ee

If you follow "Add a record to your domain settings (Recommended)", and provide the CNAME entry we can have it added to the file above, in the same way it's done for Wikimedia.org for WMF usage

https://github.com/wikimedia/operations-dns/blame/master/templates/wikimedia.org#L745-L746

Dzahn added a subscriber: Dzahn.Feb 21 2017, 6:01 PM
Reedy added a comment.Feb 21 2017, 6:04 PM

Oh, and if you're wanting to use Google Apps like that.. I suspect your mail server MX records will need updating - https://github.com/wikimedia/operations-dns/blob/master/templates/wikimedia.ee#L17-L20

ema moved this task from Triage to DNS Names on the Traffic board.Feb 22 2017, 2:49 PM

@Kaarel_Vaidla: Did the last comments help?

Yes, the comments were helpful.
I still haven't had time to look for our CNAME entry, though.

Beetlebeard added a comment.EditedMar 6 2017, 5:38 PM

https://github.com/wikimedia/operations-dns/blob/master/templates/wikimedia.ee
If you follow "Add a record to your domain settings (Recommended)", and provide the CNAME entry we can have it added to the file above, in the same way it's done for Wikimedia.org for WMF usage
https://github.com/wikimedia/operations-dns/blame/master/templates/wikimedia.org#L745-L746

So. This is the CNAME entry I managed to get from the G-Suite setup wizard.
Label / Host
d4wjsd5hgyku
Destination / Target
gv-s2hajbb7xp2f7r.dv.googlehosted.com

PS: Kaarel Vaidla is on maternity leave and is not part of the discussion.
PS2: Mail exhangers:
Remove MX records mh3.elkdata.ee and mh5.elkdata.ee and replace them with the following preference-numbers and servers:
1 ASPMX.L.GOOGLE.COM.
5 ALT1.ASPMX.L.GOOGLE.COM.
5 ALT2.ASPMX.L.GOOGLE.COM.
10 ALT3.ASPMX.L.GOOGLE.COM.
10 ALT4.ASPMX.L.GOOGLE.COM.
The TTL should remain 1h.
Edit. In case You need the TXT record:
google-site-verification=UaWxZ1AWR0OP6l8qqTI766B5teh_fTH-8T8KbCDM2wk

Change 341359 had a related patch set uploaded (by dzahn):
[operations/dns] change MX records for wikimedia.ee from elkdata.ee to Google

https://gerrit.wikimedia.org/r/341359

Dzahn added a comment.EditedMar 6 2017, 6:22 PM

@Beetlebeard how does that Gerrit link above look to you?

direct link to diff: https://gerrit.wikimedia.org/r/#/c/341359/3/templates/wikimedia.ee

Dzahn claimed this task.Mar 6 2017, 7:54 PM

@Beetlebeard how does that Gerrit link above look to you?
direct link to diff: https://gerrit.wikimedia.org/r/#/c/341359/3/templates/wikimedia.ee

Thank you. The MX records seem to be in order.

But without the CNAME entry and the verification the e-mails will be redirected to gmail and saved to google servers, but the users are unable to access them.

Dzahn added a comment.Mar 7 2017, 7:01 PM

I noticed that the existing entry for wikimedia.org using Google is just a CNAME for "google.com." but in this case it is supposed to be " gv-s2hajbb7xp2f7r.dv.googlehosted.com". Does that seem right ?

Dzahn added a comment.EditedMar 17 2017, 5:04 PM

@Kaarel_Vaidla @Beetlebeard I can make the change but i wanted to check with you one last time that it is ok instead of just changing it at a random time on a Friday. Do you want a specific time to switch? Does it not matter to you when it happens exactly?

Edit: Let me check with legal if it's ok to go ahead.

ZhouZ added a subscriber: CR.Mar 17 2017, 5:44 PM
ZhouZ edited subscribers, added: CRoslof; removed: CR.

@Kaarel_Vaidla @Beetlebeard I can make the change but i wanted to check with you one last time that it is ok instead of just changing it at a random time on a Friday. Do you want a specific time to switch? Does it not matter to you when it happens exactly?
Edit: Let me check with legal if it's ok to go ahead.

Sorry for the late response. It should be ok to change it at a random time.

Change 341359 merged by Dzahn:
[operations/dns] change MX records for wikimedia.ee from elkdata.ee to Google

https://gerrit.wikimedia.org/r/341359

Dzahn added a comment.EditedMar 22 2017, 12:10 AM

@Beetlebeard I have made the change just now (OKed by legal). It will change in about an hour due to caching. Let me know if everything works for you.

;; QUESTION SECTION:
;wikimedia.ee.			IN	MX

;; ANSWER SECTION:
wikimedia.ee.		3600	IN	MX	5 alt1.aspmx.l.google.com.
wikimedia.ee.		3600	IN	MX	5 alt2.aspmx.l.google.com.
wikimedia.ee.		3600	IN	MX	10 alt3.aspmx.l.google.com.
wikimedia.ee.		3600	IN	MX	10 alt4.aspmx.l.google.com.
wikimedia.ee.		3600	IN	MX	1 aspmx.l.google.com.
;; QUESTION SECTION:
;wikimedia.ee.			IN	TXT

;; ANSWER SECTION:
wikimedia.ee.		600	IN	TXT	"google-site-verification=UaWxZ1AWR0OP6l8qqTI766B5teh_fTH-8T8KbCDM2wk"

Hello again.
The thing is, since the last verification process completion took too long, G Suite blocked and later deleted the account in question. So, in short, I had to make a new G Suite account, which in turn generated a new TXT verification record:
google-site-verification=6Tv2ccPOWvZdJqRyYMUoB0w6IZcE3wVG9ZNgr13MK6g

I'm not sure how long the vetting process for the new TXT record would be, but if possible, it should be implemented ASAP, so the G Suite can verify the domain and hopefully we can call it a day in that part.
Very sorry for the long and strenuous task.
All the best

Change 344161 had a related patch set uploaded (by Dzahn):
[operations/dns] wikimedia.ee: update Google verification TXT record

https://gerrit.wikimedia.org/r/344161

Change 344161 merged by Dzahn:
[operations/dns] wikimedia.ee: update Google verification TXT record

https://gerrit.wikimedia.org/r/344161

Dzahn added a comment.Mar 22 2017, 3:49 PM

@Beetlebeard Ok, no worries. This time it can be faster since we have a general ok and are just fixing it.

Here you go:

https://gerrit.wikimedia.org/r/#/c/344161/1/templates/wikimedia.ee

dig TXT wikimedia.ee @ns0.wikimedia.org| grep google 
wikimedia.ee.		600	IN	TXT	"google-site-verification=6Tv2ccPOWvZdJqRyYMUoB0w6IZcE3wVG9ZNgr13MK6g"

^ it should show the new record for you within a few minutes.

Thanks alot. G Suite is verified. All should work, as it it supposed to.
Cheers

Dzahn closed this task as Resolved.Mar 23 2017, 11:04 PM

Great, thanks for confirming it works. Resolving this ticket now.

Beetlebeard reopened this task as Open.Apr 6 2017, 8:23 AM

Dear Dzahn
I am so sorry but we would like to go back to the old system. Everyone using @wikimedia.ee addresses had to change to GSuite and they weren't happy with the new system + it was much more expensive than it was advertised at first.
Could you please change the wikimedia.ee domain MX records back to:

10 mh3.elkdata.ee
20 mh5.elkdata.ee

Thank you

Thanks Moritz.

The others using @wikimedia.ee addresses still prefer to change back.
They just liked the old system they had been using for years...

Change 346795 had a related patch set uploaded (by Dzahn):
[operations/dns@master] Revert "change MX records for wikimedia.ee from elkdata.ee to Google"

https://gerrit.wikimedia.org/r/346795

Change 346795 merged by Dzahn:
[operations/dns@master] Revert "change MX records for wikimedia.ee from elkdata.ee to Google"

https://gerrit.wikimedia.org/r/346795

Dzahn added a comment.Apr 6 2017, 7:14 PM

@Beetlebeard Ok, i have reverted the change. It's back to elkdata as it was before this ticket. Changes should appear within the next hour.

Dzahn added a comment.Apr 6 2017, 7:14 PM

@Beetlebeard Ok, i have reverted the change. It's back to elkdata as it was before this ticket. Changes should appear within the next hour.

Beetlebeard closed this task as Resolved.Apr 7 2017, 9:07 AM